import { SYSTEM } from "../config/system.mjs"

export default class HellbornArmor extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}
    const requiredInteger = { required: true, nullable: false, integer: true }

    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    schema.bonus = new fields.NumberField({ required: true, initial: 0, min: 0 })
    schema.resilience = new fields.NumberField({ required: true, initial: 0, min: 0 })
    schema.reduction = new fields.NumberField({ required: true, initial: 0, min: 0 })

    schema.cost = new fields.NumberField({ required: true, initial: 0, min: 0 })

    return schema
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HELLBORN.Armor"]

}
